#!/usr/bin/env bash
set -eu
set -o pipefail
set -o errtrace
shopt -s expand_aliases

[ "$(uname)" == "Darwin" ] && alias readlink="greadlink" || :

GREEN='\033[0;32m'
NC='\033[0m'


here="$(dirname "$(readlink -f "$0")")"
cd "${here}/../.git/hooks"

rm -f pre-push pre-commit || :
prepush_script="../../.git-hooks/pre-push.sh"
precommit_script="../../.git-hooks/pre-commit.sh"
[ -f "${prepush_script}" ] && ln -s "${prepush_script}" pre-push
[ -f "${precommit_script}" ] && ln -s "${precommit_script}" pre-commit

echo -e "\n${GREEN}Done! Hooks applied, you can start committing and pushing!${NC}\n"
